package interfaces

type DumpIO interface {
	ReadData(int) ([]*ESSource, error)
	ReadMapping() (map[string]any, error)
	ReadSetting() (map[string]any, error)
	WriteData(docs []*ESSource) (int, error)
	WriteMapping(map[string]any) error
	WriteSetting(map[string]any) error
	Close() error

	IsInput() bool
	IsFile() bool
}
